# ``twisted`.`python`.`usage`.`CoerceParameter``

class documentation

`class CoerceParameter: (source)`

View In Hierarchy

Utility class that can corce a parameter before storing it.

Method | `__init__` |
Method | `dispatch` | When called in dispatch, do the coerce for `value` and save the returned value.
Instance Variable | `coerce` | Undocumented
Instance Variable | `doc` | Undocumented
Instance Variable | `options` | Undocumented

def __init__(self, options, coerce): (source)

Parameters
options | parent Options object
coerce | callable used to coerce the value.

def dispatch(self, parameterName, value): (source)
When called in dispatch, do the coerce for `value` and save the returned value.
coerce = (source)

Undocumented

doc = (source)

Undocumented

options = (source)

Undocumented